// @ts-nocheck
import { Request } from '@hapi/hapi';

export type RequestParams = Record<string, string | null>;

export const getParam =
	(request: Request) =>
	(name: string): string | null => {
		const params: RequestParams = {
			...(request.params as object),
			...(request.payload as object),
			...(request.query as object),
		};
		const filteredParams: RequestParams = {} as any;
		Object.keys(params).map((key) => {
			const value = params[key];
			if (['undefined', 'null'].includes(value as string)) {
				filteredParams[key] = null;
			}
			filteredParams[key] = value;
		});
		return filteredParams[name] ?? null;
	};
